@import "../../../assets/styles/main.scss";
.supportedCountriesSection {
  position: relative;
  &:after {
    content: "";
    position: absolute;
    top: 49px;
    left: 0;
    width: 228px;
    height: 189px;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/supported_country_object1.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    z-index: 1;
    @include lg {
      width: 191px;
    }
    @include sm {
      width: 141px;
      top: 10px;
    }
    @include xs {
      width: 109px;
      top: -39px;
    }
    @include tiny {
      width: 88px;
      top: -53px;
    }
  }
  &::before {
    content: "";
    position: absolute;
    top: 95px;
    right: 0;
    width: 324px;
    height: 362px;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/supported_country_object2.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    z-index: 1;
    @include lg {
      width: 191px;
      top: 40px;
    }
    @include sm {
      width: 140px;
      top: -50px;
      height: 300px;
    }
    @include xs {
      width: 115px;
      top: -50px;
      height: 249px;
    }
    @include tiny {
      width: 101px;
      top: -60px;
      height: 235px;
    }
  }
}
.supportedCountrie_images {
  position: relative;
  &:after {
    content: "";
    position: absolute;
    bottom: 0px;
    left: 0;
    width: 329px;
    height: 367px;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/supported_country_object3.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    z-index: 1;
    @include lg {
      width: 229px;
      height: 250px;
    }
    @include sm {
      width: 129px;
      height: 144px;
    }
  }
  &::before {
    content: "";
    position: absolute;
    bottom: 0px;
    right: 0;
    width: 565px;
    height: 621px;
    background-image: url("https://stagecdn.waosim.com/landingpage/home/supportedCountryBackground.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    z-index: 1;
    @include lg {
      width: 464px;
      height: 521px;
    }
    @include sm {
      width: 300px;
      height: 334px;
    }
    @include xxxs {
      width: 200px;
      height: 234px;
    }
  }
}
.supportedCountriesMain {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 50px;
  padding: 100px 0px;

  @include sm {
    gap: 30px;
  }
  @include xxxs {
    gap: 25px;
  }

  .sectionDetails {
    text-align: center;

    p {
      @include inter700;
      margin: 0;
      font-size: 24px;
      line-height: 42.01px;

      @include lg {
        font-size: 20px;
      }
      @include md {
        font-size: 18px;
      }
      @include xxxs {
        font-size: 16px;
      }
    }
  }

  .toggleSection {
    display: flex;
    width: 100%;
    border-radius: 56px;
    background-color: getColorHex("toggle_bg");
    gap: 5px;
    max-width: 626px;
    height: 74px;
    padding: 10px;

    @include sm {
      max-width: unset;
      height: 55px;
      padding: 5px;
    }
    @include tiny {
      border-radius: 35px;
      height: 50px;
    }

    span {
      @include inter700;
      font-size: 25px;
      line-height: 34.05px;
      text-align: center;

      @include lg {
        font-size: 22px;
      }
      @include md {
        font-size: 20px;
      }
      @include sm {
        font-size: 18px;
      }
      @include xs {
        font-size: 16px;
      }
      @include xxxs {
        font-size: 14px;
      }
      @include tiny {
        font-size: 12px;
      }
    }

    .option {
      flex: 1;
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 25px;
      @include inter700;
      text-align: center;
      cursor: pointer;
      transition: all 0.3s ease;
      border-radius: 35px;
      color: getColorHex("black") !important;
    }

    .selected {
      background-color: getColorHex("black") !important;
      color:  getColorHex("white") !important;
      cursor: unset;
    }

    .option:not(.selected) {
      opacity: 1;
      &:hover {
        opacity: 0.7;
      }
    }

    .option:hover {
      opacity: 1;
    }
  }

  .gridSection {
    width: 100%;
    .all_country {
      padding: 0px !important;
    }
    @include xs {
      .odd {
        padding-left: 5px !important;
      }
      .even {
        padding-right: 5px !important;
      }
    }

    .gridSection_card {
      border: 1px solid getColorHex("border");
      padding: 12px;
      border-radius: 20px;
      position: relative;
      z-index: 99;
      background-color: getColorHex("white");
      @include lg {
        padding: 7px;
      }
      @include sm {
        padding: 10px;
        border-radius: 10px;
      }
      @include xs {
        padding: 5px;
      }

      .gridSection_card_subDiv {
        position: relative;

        .gridSection_country_flag {
          position: absolute;
          top: 12px;
          left: 14px;
          border: 2px solid getColorHex("white");
          border-radius: 50%;

          @include sm {
            top: 10px;
            left: 10px;
          }

          .card_round_item {
            position: relative;
            width: 29px;
            min-width: 29px;
            height: 29px;
            border-radius: 50%;

            &_skeleton {
              width: 100%;
              height: 100%;

              img {
                border-radius: 50%;
                object-fit: cover !important;
                height: 100%;
                width: 100%;
              }
            }
          }
        }
        .gridSection_card_image {
          width: 100%;
          height: 180px;
          border-radius: 15px;
          @include xl {
            height: 149px;
          }
          @include lg {
            height: 126px;
          }
          @include md {
            height: 126px;
          }
          @include sm {
            height: 142px;
          }
          @include xs {
            height: 133px;
          }
          @include xxs {
            height: 117px;
          }
          @include xxxs {
            height: 101px;
          }
          @include tiny {
            height: 84px;
          }

          img {
            border-radius: 15px;
            height: 100% !important;
            width: 100% !important;
            position: relative !important;
            top: unset !important;
            left: unset !important;
            vertical-align: inherit !important;
            object-fit: initial !important;
            @include lg {
              border-radius: 15px;
            }
            @include xs {
              border-radius: 10px;
            }
          }
        }

        .gridSection_background {
          position: absolute;
          bottom: 0;
          height: auto;
          width: 100%;

          .gridSection_background_image {
            height: 86px;

            @include xl {
              height: 72px;
              width: 100%;
            }
            @include lg {
              height: 70px;
            }
            @include sm {
              height: 70px;
            }
            @include xs {
              height: 63px;
            }
            @include xxs {
              height: 59px;
            }
            @include xxxs {
              height: 50px;
            }
            @include tiny {
              height: 43px;
            }
            img {
              height: 100%;
              width: 100%;
              border-radius: 20px;
              @include md {
                border-radius: 15px;
              }
              @include xs {
                border-radius: 10px;
              }
            }
          }
        }

        .gridSection_icon {
          position: absolute;
          bottom: 12.6px;
          right: 12.6px;

          @include sm {
            bottom: 8px;
            right: 8px;
          }

          .gridSection_background_image {
            width: 56px;
            height: 56px;
            position: relative;
            z-index: 99;
            @include lg {
              width: 45px;
              height: 45px;
            }
            @include sm {
              width: 50px;
              height: 50px;
            }
            @include xs {
              width: 42px;
              height: 42px;
            }
            @include tiny {
              width: 33px;
              height: 33px;
            }
            img {
              height: 100%;
              width: 100%;
              object-fit: contain;
            }
          }
        }

        .gridSection_countryName {
          position: absolute;
          bottom: 14px;
          left: 23px;
           color:  getColorHex("white");
          @include lg {
            left: 12px;
          }

          @include sm {
            bottom: 8px;
            left: 10px;
          }

          span {
            text-align: left;
            font-size: 14px;
            line-height: 20.96px;
            @include sm {
              font-size: 12px;
              line-height: 16px;
            }
          }
        }
      }
    }
  }

  .show_country_button {
    min-width: 326px;

    @include lg {
      min-width: 172px;
    }

    button {
      width: 100%;
      max-width: rem(351);
      text-transform: unset;
      width: 326px;
      @include lg {
        padding: 20px;
        font-size: 18px;
      }
      @include sm {
        font-size: 16px;
      }
      @include xs {
        padding: 15px;
      }
      @include xxxs {
        padding: 10px;
        font-size: 14px;
      }
    }
  }
}
